
Redmine - Defect #33064

having 404 error when trying to display diff -  3.4.4.stable

2020-02-28 18:43 - simo geo

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.4.4

Description

Hi all,

I have re-installed a new redmine instance (3.4.4.stable) but I have an issue when displaying diff.

Notice that viewing file works correctly.

For example see :

https://dev.linea21.com/projects/linea21/repository/revisions/3514/diff

Or click and "diff" link from https://dev.linea21.com/projects/linea21/repository/revisions/3514

Log displays the following error :

Started GET "/projects/linea21/repository/revisions/3514/diff" for 78.194.240.218 at 2020-02-28 18

:25:47 +0100

Processing by RepositoriesController#diff as HTML

  Parameters: {"id"=>"linea21", "rev"=>"3514"}

  Current user: simon (id=3)

Read fragment views/repositories/diff/2/8af392258e467ca4d2689471a84f0aa7 (0.4ms)

  Rendered common/error.html.erb within layouts/base (0.4ms)

Completed 404 Not Found in 63ms (Views: 23.5ms | ActiveRecord: 9.3ms)

 Don't understand why. Any help would be nice.

Thanks

History

#1 - 2020-02-28 18:59 - simo geo

- Status changed from New to Resolved

Sorry, my fault ....

I switched to https so needed to change the repository URL

Ways to do that here :

https://www.redmine.org/boards/2/topics/5987?r=6280

https://www.redmine.org/boards/1/topics/4968

#2 - 2020-02-29 12:58 - Go MAEDA

- Status changed from Resolved to Closed

- Resolution set to Invalid

Thank you for the report. Closing.
